#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define	module	zope.testing
Summary:	Support for different testing frameworks
Summary(pl.UTF-8):	Obsługa różnych szkieletów testowych
Name:		python-%{module}
Version:	4.10
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope-testing/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.testing/zope.testing-%{version}.tar.gz
# Source0-md5:	c12a0d350acc6d267f6c53a440e00049
URL:		https://www.zope.org/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-zope.testrunner
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.testrunner
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-repoze.sphinx.autointerface
BuildRequires:	python3-zope.exceptions
BuildRequires:	python3-zope.interface
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python-modules >= 1:2.7
Requires:	python-zope-base
Obsoletes:	Zope-Testing < 4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a number of testing frameworks. It supports both
doctest and unittest.

%description -l pl.UTF-8
Ten pakiet udostępnia wiele szkieletów testowych. Obsługuje zarówno
doctest jak i unittest.

%package -n python3-%{module}
Summary:	Support for different testing frameworks
Summary(pl.UTF-8):	Obsługa różnych szkieletów testowych
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5
Requires:	python3-zope-base

%description -n python3-%{module}
This package provides a number of testing frameworks. It supports both
doctest and unittest.

%description -n python3-%{module} -l pl.UTF-8
Ten pakiet udostępnia wiele szkieletów testowych. Obsługuje zarówno
doctest jak i unittest.

%package apidocs
Summary:	API documentation for Python zope.testing module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.testing
Group:		Documentation

%description apidocs
API documentation for Python zope.testing module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.testing.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
# tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/zope/testing/{test_renormalizing,tests}.py*
%endif

%if %{with python3}
%py3_install

# tests
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testing/{test_renormalizing,tests}.py*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py_sitescriptdir}/zope/testing
%{py_sitescriptdir}/zope.testing-%{version}-py*.egg-info
%{py_sitescriptdir}/zope.testing-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/testing
%{py3_sitescriptdir}/zope.testing-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.testing-%{version}-py*-nspkg.pth
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,api,*.html,*.js}
%endif
%changelog
* Tue Apr 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.testing.git;a=log;h=master

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 1378b97
- updated to 4.10, added apidocs

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7ca2b69
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 193a327
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d44eb96
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 786ba62
- rebuild with python 3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 6fc855a
- bumped Obsoletes, there was even Zope-Testing-3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 94a9ebe
- now python 3.5 is required

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 6a6742d
- updated to 4.9
- versioned Obsoletes

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 68c1740
- noarch package
- rel 3

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> c3594bd
- disable debug packages; rel 2

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 3693e16
- updated to 4.7; zope.testrunner is separate package now

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e77a09d
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> af3d25c
- release 3 (by relup.sh)

* Sun Jan 01 2017 Jan Rękorajski <baggins@pld-linux.org> 20ca8d4
- add python3 package
- rel 2

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 5626eed
- renamed to  python-zope.testing

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 157cdfc
- don't pull Zope

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 36afd4c
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a76cb8f
- automatic change: use py_build/py_install macros

* Tue May 05 2015 Jan Rękorajski <baggins@pld-linux.org> f7e68e0
- Zope does not provide eggs, move filtered out dep to R
- rel 3

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> 2ae5908
- release 2 (by relup.sh)

